      subroutine interpolate_pop_ratios( rut_in, rlt_in, 
     &   zt_in, nl_in, zt_out,  rut_out, rlt_out, nl_out, 
     &   tm_ml, tm_mgb, tm_mt)
     
      implicit none
      integer*4 nl_in, nl_out, 
     &   tm_ml, tm_mgb, tm_mt
     
      real*4 rut_in, rlt_in, zt_in,
     &  rut_out, rlt_out, zt_out
     
      dimension rut_in( tm_ml, tm_mgb, tm_mt   ),
     &          rlt_in( tm_ml, tm_mgb, tm_mt   ),
     &   	rlt_out( tm_ml, tm_mgb, tm_mt   ),
     &          rut_out( tm_ml, tm_mgb, tm_mt   ),
     &    zt_in(tm_ml), zt_out(tm_ml)
c local
      integer*4 i,j,  jj
      
      external kp_intprof_noxtrp
cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
c
      do j = 1, tm_mt
      
      do i = 1, tm_mgb
      
      call kp_intprof_noxtrp(nl_out, nl_in, 1, nl_out, zt_in, 
     &   zt_out, rut_in(1,i,j), rut_out(1,i,j) )
     
      call kp_intprof_noxtrp(nl_out, nl_in, 1, nl_out, zt_in, 
     &   zt_out, rlt_in(1,i,j), rlt_out(1,i,j) )        
      
c      do jj=1, nl_out
c          print*, rut_out(jj,i,j), zt_out(jj)
c      enddo  ! jj
c      print*,'&'

      enddo   ! ng_out
      
      enddo   ! tm_mt


c      stop
      return
      end
